//
//  CHProgressSheet.h
//  Chocolat
//
//  Created by Pieter Omvlee on 9/22/08.
//  Copyright 2008 BohemainCoding. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "CHSheetController.h"

/*!
 * Call this window with runForWindow:withObject:.
 * The obj should be a string which will be displayed above the progress bar
 */
@interface CHProgressSheet : CHSheetController
{
  IBOutlet NSTextField *textField;
  IBOutlet NSProgressIndicator *progress;
  
  NSInteger maximum;
  NSInteger value;
  
  BOOL showsSubTitle;
  BOOL showsCancelButton;
  
  IBOutlet NSTextField *titleField;
  IBOutlet NSTextField *subtitleField;
  IBOutlet NSButton *cancelButton;
}
@property NSInteger maximum, value;

- (void)setProgressMaximum:(NSInteger)max;
- (void)incrementProgress;
- (BOOL)isMaximum;

- (void)setMessage:(NSString *)message;
- (void)setTitle:(NSString *)aTitle;
- (void)setSubtitle:(NSString *)subtitle;
- (void)setShowsCancelButton:(BOOL)flag;

- (void)setIndeterminate:(BOOL)flag;
@end

@interface NSObject (CHProgressSheetDelegate)
- (void)progresSheetCancelledOperation:(CHProgressSheet *)progress;
@end